<?php

include 'system/sys.php';
include 'system/funcs.php';

if (isset ($us)) {
        header ('location:/');
        exit;
}

H ('Регистрация', 'Регистрация');

/*if (DB :: $dbs -> query ("SELECT * FROM `us` WHERE (`ip`=?)", array ($_SERVER['REMOTE_ADDR']))!=0) {

    header ('location:/');

    exit;

}*/

if (isset($_GET['regsave'])) {
    
    $_POST['nick'] = htmlspecialchars (addslashes (trim ($_POST['nick'])));
    $_POST['pass'] = htmlspecialchars (addslashes (trim ($_POST['pass'])));
    $_POST['name'] = htmlspecialchars (addslashes (trim ($_POST['name'])));
    $_POST['sex']  = htmlspecialchars (addslashes (trim ($_POST['sex'] )));
    
        if (!preg_match ('/([a-zа-я0-9]{2,32})/i', $_POST['nick'])) {
            echo '<div class="list1"><b style="color:red;">Неверно указан ник!</b></div>';
    }
    elseif (!preg_match ('/([a-z0-9]{8,64})/i', $_POST['pass'])) {
            echo '<div class="list1"><b style="color:red;">Неверно указан пароль!</b></div>';
    }
    else {
        
                if ($_POST['pass']!=$_POST['pass2']) {
                    echo '<div class="list1"><b style="color:red;">Пароли не совпадают!</b></div>';
            }
            elseif (!preg_match ('/@/i', $_POST['email'])) {
                    echo '<div class="list1"><b style="color:red;">Неверный формат E-mail!</b></div>';
            }
            elseif (DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `us` WHERE (`nick`=?)", array ($_POST['nick']))) {
                    echo '<div class="list1"><b style="color:red;">Такой ник уже занят!</b></div>';
            }
            else {
                    
                    DB :: $dbs -> query ("INSERT INTO `us` (`nick`,`pass`,`sex`,`name`,`reg`) VALUES (?,?,?,?, '" . time () . "')", array ($_POST['nick'], md5 ($_POST['pass']), $_POST['sex'], $_POST['name']));

                    $id = DB :: $dbs -> lastInsertId ();
                    
                    DB::$dbs->query( "INSERT INTO `reg` (`us`) VALUES ('" . $id . "')" );
                    
                    setcookie ('id',   $id,                  time () + 86400 * 365, '/');
                    setcookie ('pass', md5 ($_POST['pass']), time () + 86400 * 365, '/');
                    
                    echo '<div class="list1">
   <img src="/images/smile/smile_wellkom.gif" alt=""/> Здравствуйте ' . $us[ 'nick' ] . ' !<br />
  Мы рады приветствовать Вас на нашем форуме!<br />
  Теперь Вы можете размещать свои вопросы, пожелания, участвовать в беседах.<br />
  Здесь Вы всегда найдете поддержку и помощь.<br />
  Не забывайте, что на форуме приветствуется корректность и вежливость.<br />
  Кроме того, проблемы старайтесь формулировать внятно: в правильно, в заданном вопросе обычно содержится половина ответа.<br />
  Новые темы создавать следует лишь в соответствующих разделах.<br />
  Приятного пребывания на форуме! Надеемся Вам будет здесь интересно.<br /> 
  С уважением, Администрация форума.<br /></div>            
<div class="lst">Автовход:<br/><textarea rows="2" colls="20">http://'.$_SERVER['HTTP_HOST'].'/avto.php?id=' . $id . '&pass=' . md5 ($_POST['pass']) . '</textarea></div>';
echo '<div class="lst"><a href="/" title="На Главную">Продолжить</a></div>';
                    
            }
        
    }
    
}
else {
    
        echo '<div class="list1">';
        echo '<form method="post" action="/reg.php?regsave">';
        echo '* Ваш ник (a-Zа-Я0-9) мин. 2, макс. 32:<br/><input name="nick" type="text" maxlength="16" /><br/>';
        echo '* Ваш пароль (a-Z0-9) мин. 8, макс. 64:<br/><input name="pass" type="password" maxlength="32" /><br/>';
        echo '* Повторите пароль:<br/><input name="pass2" type="password" maxlength="32" /><br/>';
        echo 'Ваше имя:<br/><input name="name" type="text" maxlength="20" /><br/>';
        echo 'Ваш пол:<br/>';
        echo '<input type="radio" name="sex" value="Муж" checked="checked" />Муж<br/>';
        echo '<input type="radio" name="sex" value="Жен" /> Жен<br/>';
        echo '* E-mail:<br/><input name="email" type="text" maxlength="30" /><br>';
        echo '<input value="Зарегистрироваться" type="submit"/>';
        echo '</form>';
        echo '</div>';

}

F ();

?>